<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTickerLog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker_log.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker_log-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTickerLog</div></div>
</div><!--header-->
<div class="contents">

<p>Specialized axis ticker suited for logarithmic axes.  
 <a href="class_q_c_p_axis_ticker_log.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTickerLog</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_log__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_log_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_log_inherit__map" id="a_q_c_p_axis_ticker_log_inherit__map">
<area shape="rect" title="Specialized axis ticker suited for logarithmic axes." alt="" coords="5,79,139,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="17,5,127,31"/>
<area shape="poly" title=" " alt="" coords="75,44,75,79,69,79,69,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPAxisTickerLog:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_log__coll__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_log_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_ticker_log_coll__map" id="a_q_c_p_axis_ticker_log_coll__map">
<area shape="rect" title="Specialized axis ticker suited for logarithmic axes." alt="" coords="5,79,139,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="17,5,127,31"/>
<area shape="poly" title=" " alt="" coords="75,44,75,79,69,79,69,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:af3cb86ea5eef2023c0b96b5260c4cbdf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#af3cb86ea5eef2023c0b96b5260c4cbdf">QCPAxisTickerLog</a> ()</td></tr>
<tr class="separator:af3cb86ea5eef2023c0b96b5260c4cbdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841a97f2b6850ff1ef3aa73e89d94775"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#a841a97f2b6850ff1ef3aa73e89d94775">logBase</a> () const</td></tr>
<tr class="separator:a841a97f2b6850ff1ef3aa73e89d94775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebe43661977364fc1fd220fa1ae36a10"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#aebe43661977364fc1fd220fa1ae36a10">subTickCount</a> () const</td></tr>
<tr class="separator:aebe43661977364fc1fd220fa1ae36a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6e3b4e03baea3816f898869ab9751ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#ac6e3b4e03baea3816f898869ab9751ef">setLogBase</a> (double base)</td></tr>
<tr class="separator:ac6e3b4e03baea3816f898869ab9751ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51989c798c0cfd50936d77aac57c56a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#ad51989c798c0cfd50936d77aac57c56a">setSubTickCount</a> (int subTicks)</td></tr>
<tr class="separator:ad51989c798c0cfd50936d77aac57c56a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a352fef7ae68837acd26e35188aa86167"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#a352fef7ae68837acd26e35188aa86167">getSubTickCount</a> (double tickStep) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a352fef7ae68837acd26e35188aa86167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8873a8d1d2b9392d8f7a73218c889ab"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#af8873a8d1d2b9392d8f7a73218c889ab">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:af8873a8d1d2b9392d8f7a73218c889ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a4108bcc1cd68dcec54dc75667440d328"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#a4108bcc1cd68dcec54dc75667440d328">mLogBase</a></td></tr>
<tr class="separator:a4108bcc1cd68dcec54dc75667440d328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d92b729bedbbbd34ee5f74565defd95"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#a3d92b729bedbbbd34ee5f74565defd95">mSubTickCount</a></td></tr>
<tr class="separator:a3d92b729bedbbbd34ee5f74565defd95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba719bbeec39957f475ef89d6ae2fe7"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_log.html#aeba719bbeec39957f475ef89d6ae2fe7">mLogBaseLnInv</a></td></tr>
<tr class="separator:aeba719bbeec39957f475ef89d6ae2fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_types_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Typy publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="axisticker-log.png" alt=""/>
</div>
<p>This <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclass generates ticks with unequal tick intervals suited for logarithmic axis scales. The ticks are placed at powers of the specified log base (<a class="el" href="class_q_c_p_axis_ticker_log.html#ac6e3b4e03baea3816f898869ab9751ef">setLogBase</a>).</p>
<p>Especially in the case of a log base equal to 10 (the default), it might be desirable to have tick labels in the form of powers of ten without mantissa display. To achieve this, set the number precision (<a class="el" href="class_q_c_p_axis.html#a21dc8023ad7500382ad9574b48137e63">QCPAxis::setNumberPrecision</a>) to zero and the number format (<a class="el" href="class_q_c_p_axis.html#ae585a54dc2aac662e90a2ca82f002590">QCPAxis::setNumberFormat</a>) to scientific (exponential) display with beautifully typeset decimal powers, so a format string of <code>"eb"</code>. This will result in the following axis tick labels:</p>
<div class="image">
<img src="axisticker-log-powers.png" alt=""/>
</div>
<p>The ticker can be created and assigned to an axis like this: </p><div class="fragment"></div><!-- fragment --><p>Note that the nature of logarithmic ticks imply that there exists a smallest possible tick step, corresponding to one multiplication by the log base. If the user zooms in further than that, no new ticks would appear, leading to very sparse or even no axis ticks on the axis. To prevent this situation, this ticker falls back to regular tick generation if the axis range would be covered by too few logarithmically placed ticks. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02037">2037</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="af3cb86ea5eef2023c0b96b5260c4cbdf" name="af3cb86ea5eef2023c0b96b5260c4cbdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3cb86ea5eef2023c0b96b5260c4cbdf">&#9670;&#160;</a></span>QCPAxisTickerLog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTickerLog::QCPAxisTickerLog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07728">7728</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a841a97f2b6850ff1ef3aa73e89d94775" name="a841a97f2b6850ff1ef3aa73e89d94775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841a97f2b6850ff1ef3aa73e89d94775">&#9670;&#160;</a></span>logBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerLog::logBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02043">2043</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aebe43661977364fc1fd220fa1ae36a10" name="aebe43661977364fc1fd220fa1ae36a10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebe43661977364fc1fd220fa1ae36a10">&#9670;&#160;</a></span>subTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerLog::subTickCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02044">2044</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac6e3b4e03baea3816f898869ab9751ef" name="ac6e3b4e03baea3816f898869ab9751ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6e3b4e03baea3816f898869ab9751ef">&#9670;&#160;</a></span>setLogBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerLog::setLogBase </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the logarithm base used for tick coordinate generation. The ticks will be placed at integer powers of <em>base</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07739">7739</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="ad51989c798c0cfd50936d77aac57c56a" name="ad51989c798c0cfd50936d77aac57c56a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad51989c798c0cfd50936d77aac57c56a">&#9670;&#160;</a></span>setSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerLog::setSubTickCount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>subTicks</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the number of sub ticks in a tick interval. Within each interval, the sub ticks are spaced linearly to provide a better visual guide, so the sub tick density increases toward the higher tick.</p>
<p>Note that <em>subTicks</em> is the number of sub ticks (not sub intervals) in one tick interval. So in the case of logarithm base 10 an intuitive sub tick spacing would be achieved with eight sub ticks (the default). This means e.g. between the ticks 10 and 100 there will be eight ticks, namely at 20, 30, 40, 50, 60, 70, 80 and 90. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07759">7759</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a352fef7ae68837acd26e35188aa86167" name="a352fef7ae68837acd26e35188aa86167"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a352fef7ae68837acd26e35188aa86167">&#9670;&#160;</a></span>getSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerLog::getSubTickCount </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07774">7774</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="af8873a8d1d2b9392d8f7a73218c889ab" name="af8873a8d1d2b9392d8f7a73218c889ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8873a8d1d2b9392d8f7a73218c889ab">&#9670;&#160;</a></span>createTickVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; QCPAxisTickerLog::createTickVector </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07792">7792</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_log_af8873a8d1d2b9392d8f7a73218c889ab_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_log_af8873a8d1d2b9392d8f7a73218c889ab_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_log_af8873a8d1d2b9392d8f7a73218c889ab_cgraph" id="aclass_q_c_p_axis_ticker_log_af8873a8d1d2b9392d8f7a73218c889ab_cgraph">
<area shape="rect" title=" " alt="" coords="5,51,180,91"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="228,29,429,55"/>
<area shape="poly" title=" " alt="" coords="180,58,214,54,215,59,181,63"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd" title=" " alt="" coords="239,79,418,119"/>
<area shape="poly" title=" " alt="" coords="181,79,226,85,226,90,180,84"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="477,5,665,31"/>
<area shape="poly" title=" " alt="" coords="429,29,464,26,464,31,430,35"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="479,55,664,80"/>
<area shape="poly" title=" " alt="" coords="430,50,465,54,465,59,429,55"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a4108bcc1cd68dcec54dc75667440d328" name="a4108bcc1cd68dcec54dc75667440d328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4108bcc1cd68dcec54dc75667440d328">&#9670;&#160;</a></span>mLogBase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerLog::mLogBase</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02052">2052</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3d92b729bedbbbd34ee5f74565defd95" name="a3d92b729bedbbbd34ee5f74565defd95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d92b729bedbbbd34ee5f74565defd95">&#9670;&#160;</a></span>mSubTickCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerLog::mSubTickCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02053">2053</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aeba719bbeec39957f475ef89d6ae2fe7" name="aeba719bbeec39957f475ef89d6ae2fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba719bbeec39957f475ef89d6ae2fe7">&#9670;&#160;</a></span>mLogBaseLnInv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerLog::mLogBaseLnInv</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02056">2056</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker_log.html">QCPAxisTickerLog</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
